package com.digiwin.athena.app.ptc.provider.impl;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.ptc.provider.ReceivablesDetailEAIService;
import com.digiwin.athena.app.ptc.service.receivables.ReceivablesUtil;
import com.digiwin.athena.opt.common.eai.service.EAIServiceContext;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @auther: zhenggl
 * @date: 2023/9/12
 */
public class ReceivablesDetailEAIServiceImpl implements ReceivablesDetailEAIService {

    @Resource
    private EAIServiceContext eaiServiceContext;

    @Override
    public DWEAIResult taskGet(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(ReceivablesUtil.RECEIVABLES_TASK_GET,headers,messageBody);
    }

    @Override
    public DWEAIResult taskCreate(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(ReceivablesUtil.RECEIVABLES_TASK_CREATE,headers,messageBody);
    }

    @Override
    public DWEAIResult taskUpdate(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(ReceivablesUtil.RECEIVABLES_TASK_UPDATE,headers,messageBody);
    }

    @Override
    public DWEAIResult initialCreate(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(ReceivablesUtil.RECEIVABLES_INITIAL_CREATE,headers,messageBody);
    }

    @Override
    public DWEAIResult taskDelete(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(ReceivablesUtil.RECEIVABLES_TASK_DELETE,headers,messageBody);
    }
}
